# QuickHashIntStringHash::update

(PECL quickhash >= Unknown)

QuickHashIntStringHash::update — Cette méthode met à jour une entrée dans le hachage avec une nouvelle valeur

### Description

public QuickHashIntStringHash::update(int `$key`, string `$value`): bool

Cette méthode met à jour une entrée avec une nouvelle valeur, et renvoie si l'entrée a été mise à jour. Si des clés en double sont présentes, seul le premier élément trouvé sera mis à jour. Utilisez QuickHashIntStringHash::CHECK_FOR_DUPES lors de la création du hachage pour empêcher les clés en double de faire partie du hachage.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur pour l'entrée. Si une non chaîne est passée, elle sera convertie en chaîne automatiquement si possible.

### Valeurs de retour

`true` lorsque l'entrée a été trouvée et mise à jour, et `false` si l'entrée n'était pas déjà une partie du hachage.

### Exemples

Exemple #1 Exemple de QuickHashIntStringHash::update()

`<?php
$hash->add( 161803398, "--" );
$hash->add( 314159265, "a lot" );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
var_dump( $hash->update( 314159265, "a lot plus one" ) );
var_dump( $hash->update( 314159999, "a lot plus one" ) );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
?>`

Résultat de l'exemple ci-dessus est similaire à :

    --
    a lot
    bool(true)
    bool(false)
    --
    a lot plus one